# Class Jpg64Encoder

java.lang.Object
javajs.img.ImageEncoder
javajs.img.JpgEncoder
javajs.img.Jpg64Encoder

All Implemented Interfaces:
  `GenericImageEncoder`

public class Jpg64Encoder extends JpgEncoder

## Field Summary

### Fields inherited from class JpgEncoder

`defaultQuality`

### Fields inherited from class ImageEncoder

`date, doClose, dpi, height, logging, out, pixels, quality, width`

## Constructor Summary

Constructors
Constructor
Description
`Jpg64Encoder()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`generate()`
`protected void`
`setParams(Map<String,Object> params)`

### Methods inherited from class ImageEncoder

`close, createImage, putByte, putString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jpg64Encoder

public Jpg64Encoder()

## Method Details

### setParams

protected void setParams(Map<String,Object> params)

Overrides:
  `setParams` in class `JpgEncoder`

### generate

protected void generate() throws IOException

Overrides:
  `generate` in class `JpgEncoder`
Throws:
  `IOException`